var vbox=new TQVBox();
var te=new TQTimeEdit(vbox);
var okButton=new TQToolButton(vbox);
okButton.text="Ok";

function TimeChanged(q) {
    alert("Time Changed: " +q);
}

vbox.connect(te, "valueChanged(const TQTime&)", this, "TimeChanged");
vbox.connect(okButton, "clicked()", this, "exit");
vbox.show();
application.exec();
